<template>
    <p>
        I am {{ firstName }} {{ lastName }} and {{ age }} years old and I am a
        {{ sex }} human being.
    </p>
</template>

<script>
export default {
    props: {
        firstName: String,
        lastName: String,
        age: [String, Number],
        sex: {
            type: String,
            default: "female",
            required: true,
            validator: sex => {
                return sex === "male" || sex === "female";
            }
        }
    }
};
</script>

<style></style>
